import Home from "../pages/Home";
import Index from "../pages/Index";
import DetailNavBar from "../components/DetailNavBar";
import DetailForm from "../components/DetailForm";
import DetailSearchContext from "../pages/DetailSearchContext";

const router = [
    {
        key:"home",
        path: "/home",
        element: <Home/>,
        children: [{
            key:"treeTask",
            path: "treeTask",
            element: <Index/>
        }]
    },
    {
        path: "/detail",
        element: <DetailNavBar/>,
        children: [{
            path: "addTask",
            element: <DetailForm/>
        }, {
            path: "searchTask",
            element: <DetailSearchContext/>
        }, {
            path: "updateTask",
            element: <DetailForm/>
        }, {
            path: "selectTask",
            element: <DetailForm/>,
            children: [{
                path: "logTask",
                element: <DetailForm/>
            }]
        }]
    }
]